import httpRequest from '@/utils/axios'

/**
 * 获取知识点/标签
 */
export function getKnowledge(params) {
  return httpRequest.get('/admin/v1/knowledge-point/search/x1', { params })
}
/**
 * 获取试卷列表
 */
export function getPaperList(params) {
  return httpRequest.get('/api/qbs/admin/v1/question-papers/x1', { params })
}
/**
 * 新建试卷
 */
export function createNewPaper(data) {
  return httpRequest.post('/api/qbs/admin/v1/question-paper', data)
}
/**
 * 获取试卷分类
 */
export function getPaperCategory(params) {
  return httpRequest.get(`/api/qbs/admin/v1/question-category/tree/${params}`, { params })
}
